Instance action's updated_at doesn't updated when action created or action event updated.

Bug #1719561 reported by Yikun Jiang on 2017-09-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Matt Riedemann

Bug Description

Description
===========
When we do some operation on instances, will record some
instance action(such as 'create') in 'instance_actions' table,
and some sub-event will record(such as
compute__do_build_and_run_instance) in 'instance_actions_events'
table.

The timestamp(change-since) filter will be added for filtering
the action results based on updated_at(the last time the instance
action was updated). But now the record updated time doesn't be
updated when action creating or sub-event of action updating.

So, in this patch, we need update the instance action's updated_at
when instance action events are created and instance action created
or finished.

Steps to reproduce
==================
1. Create a instances
nova boot --image 81e58b1a-4732-4255-b4f8-c844430485d2 --flavor 1 yikun

2. Look up record in instance_actions and instance_actions_events
mysql> select * from instance_actions\G
*************************** 1. row ***************************
   created_at: 2017-09-25 07:16:07
   updated_at: NULL ---> here
   deleted_at: NULL
           id: 48
       action: create
instance_uuid: fdd52ec6-100b-4a25-a5db-db7c5ad17fa8
   request_id: req-511dee3e-8951-4360-b72b-3a7ec091e7c8
      user_id: 1687f2a66222421790475760711e40e5
   project_id: 781b620d86534d549dd64902674c0f69
   start_time: 2017-09-25 07:16:05
  finish_time: NULL
      message: NULL
      deleted: 0

mysql> select * from instance_actions_events\G
*************************** 1. row ***************************
   created_at: 2017-09-25 07:16:07
   updated_at: 2017-09-25 07:16:22
   deleted_at: NULL
           id: 1
       action: create
instance_uuid: fdd52ec6-100b-4a25-a5db-db7c5ad17fa8
   request_id: req-511dee3e-8951-4360-b72b-3a7ec091e7c8
      user_id: 1687f2a66222421790475760711e40e5
   project_id: 781b620d86534d549dd64902674c0f69
   start_time: 2017-09-25 07:16:05
  finish_time: NULL
      message: NULL
      deleted: 0

Expected result
===============
Update the instance action's updated_at when instance action events
are started or finished or instance action created.

Actual result
=============
without instance aciton's updated_at

Yikun Jiang (yikunkero) on 2017-09-26
summary: - Instance action's updated_at' doesn't updated when action created or
+ Instance action's updated_at doesn't updated when action created or
action event updated.
Changed in nova:
assignee: nobody → Yikun Jiang (yikunkero)
status: New → In Progress
Yikun Jiang (yikunkero) on 2017-11-23
description: updated
Changed in nova:
assignee: Yikun Jiang (yikunkero) → Matt Riedemann (mriedem)

Reviewed: https://review.openstack.org/507473
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=1a4ae60e1b48efb3d80cd36a285eda7ef5620f12
Submitter: Zuul
Branch: master

commit 1a4ae60e1b48efb3d80cd36a285eda7ef5620f12
Author: Yikun Jiang <email address hidden>
Date: Tue Sep 26 18:33:00 2017 +0800

    Update Instance action's updated_at when action event updated.

    When we do some operation on instances, will record some
    instance action(such as 'create') in 'instance_actions' table,
    and some sub-event will record(such as
    compute__do_build_and_run_instance) in 'instance_actions_events'
    table.

    we need update the instance action's updated_at when instance
    action events are created and instance action created or finished.

    Change-Id: I75a827b759b59773c08ffc6b1e3e54d6189b5853
    Closes-Bug: #1719561

Changed in nova:
status: In Progress → Fix Released

This issue was fixed in the openstack/nova 17.0.0.0b3 development milestone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers